package com.micer.easyball.pojo.Dto;

import com.micer.easyball.pojo.GamePlayer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.security.core.parameters.P;

@Data
@AllArgsConstructor
public class PlayerStatisticsDto {
    /**
     * 球员ID
     */
    private String playerId;

    /**
     * 球员名
     */
    private String playerName;

    /**
     *  出场统计
     */
    private Long appearance;

    /**
     *  胜场
     */
    private Long win;

    /**
     *  负场
     */
    private Long lose;

    /**
     *  平局
     */
    private Long tie;

    /**
     *  进球统计
     */
    private Long goal;

    /**
     *  助攻统计
     */
    private Long assist;

    /**
     *  MVP次数
     */
    private Long mvp;

    public PlayerStatisticsDto()
    {
        this.setPlayerId("");
        this.setPlayerName("");
        this.setWin(0L);
        this.setLose(0L);
        this.setTie(0L);
        this.setAppearance(0L);
        this.setAssist(0L);
        this.setMvp(0L);
        this.setGoal(0L);
    }

}
